{include file='_header.tpl'}

<div id="ticket">
	<div class="bs-component">

		{include file='_errors.tpl'}
		<div class="row">
			<h3 class="col-sm-6">Liste des détails de ticket</h3>

			<div class="col-sm-2">
				{include file='inputs/select_sort.tpl'}
			</div>

			<div class="col-sm-2">
				{include file='inputs/select_page_size.tpl'}
			</div>
			
			<div id="context_magasin" class="col-sm-2">
				<select class="form-control" name="context_magasin" onchange="set_context(this);">
					<option value="0">Tous les magasins</option>
					
					{foreach $magasins as $m}
						<option value="{$m[0]}" {if $context_mag == $m[0]}selected{/if}>{$m[1]}</option>
					{/foreach}
				</select>
			</div>
		</div>

		<div class="liste">
			{$cumul_qte=0}
			{$cumul_montant=0}
			{include file='pagination.tpl'}
			<table class="table table-bordered table-hover">
				<thead>
					<tr>
						<th data-sortable="true" data-field="NumTicket" class="hidden-xs">Ticket N°</th>
						<th data-sortable="true" data-field="RefTicket" class="hidden-xs">Ticket REF</th>
						<th data-sortable="true" data-field="Date" class="hidden-xs">Date</th>
						<th data-sortable="true" data-field="Client" class="hidden-xs">Nom du Client</th>
						<th data-sortable="true" data-field="Type">Type</th>
						<th data-sortable="true" data-field="RefArt" class="hidden-sm">Réf. Article</th>
						<th data-sortable="true" data-field="NomCatalg" class="hidden-xs">Nom catalogue</th>
						<th data-sortable="true" data-field="Info" class="hidden-sm hidden-xs">Info</th>
						<th data-sortable="true" data-field="Taille" class="hidden-xs">Taille</th>
						<th data-sortable="true" data-field="Quantite" class="hidden-xs">Qté</th>
						<th data-sortable="true" data-field="Prix">Prix vendu</th>
					</tr>
				</thead>
				
				<tbody>
					{if $datas}
						{$ticket_prec = 0}
						{$cpt_ticket = 0}
						{$nbRows = $datas->num_rows}
						
						{foreach $datas as $d}
							{if $ticket_prec != $d.IdTicket}
								{$cpt_ticket = $cpt_ticket+1}
							{/if}
							
							{$ticket_prec = $d.IdTicket}
							<tr class="ligne_{$cpt_ticket%2}">
								<td class="hidden-xs">{$d['IdTicket']}</td>

								<td class="hidden-xs">{$d.TicketRef}</td>
								
								<td class="hidden-xs">{$d.Date_Crea|date_format:"%d/%m/%Y"}</td>
								
								<td class="hidden-xs">{$d.Nom} {$d.Prenom}</td>
								
								<td>{$types_ligne[$d.IdTypeLigneTicket]}</td>
								
								<td class="hidden-sm">{$d.ART_Ref}</td>
								
								<td class="hidden-xs">{$d.ART_Nom}</td>
								
								<td class="hidden-sm hidden-xs">{if $d.NumSerie!=''}{$d.NumSerieLibel}&nbsp;{$d.NumSerie}{/if}</td>
								
								<td class="text-center hidden-xs">{$d.ART_Declinaison}</td>
								
								<td class="text-right hidden-xs">{$d.Quantite}</td>
								
								<td class="text-right">{$d.MontantLigneEuro|string_format:"%.2f"}</td>
							</tr>
							
							{$cumul_qte = $cumul_qte+$d.Quantite}
							
							{if $d.IdTypeLigneTicket == 10 || $d.IdTypeLigneTicket == 30 || $d.IdTypeLigneTicket == 31}
								{$cumul_montant = $cumul_montant + $d.MontantLigneEuro}
							{/if}
						{/foreach}
					{/if}

					{if !$datas || $nbRows == 0}
						<tr>
							<td colspan="11" class="text-center bg-info" style="font-size: 1.25em !important;">
								Aucun détail de ticket trouvé.
							</td>
						</tr>
					{/if}
				</tbody>
			</table>
			
			{include file='pagination.tpl'}
			
			<hr/>
			
			<div class="row">
				<div class="col-sm-4 col-xs-12">
					<div class="btn-group btn-group-justified" role="group">
						<a data-toggle="modal" data-target="#modal_periode" class="btn btn-default btn-xs {if isset($rech) && $rech == 'periode'} btn-success {/if}">Par période</a>
						
						<a href="{$self}?rech=dujour" class="btn btn-default btn-xs {if isset($rech) && $rech == 'dujour'} btn-success {/if}">Du jour</a>
						
						<a href="{$self}?rech=tout" class="btn btn-default btn-xs {if isset($rech) && $rech == 'tout'} btn-success {/if}">Tout voir</a>
					</div>

				</div>
				
				<div class="col-sm-4 col-xs-12">
					<div class="alert alert-success alert-status" role="alert">
						<div class="row">
							<div class="col-xs-6 text-center">Total du {$date_depart_cumul} au {$date_fin_cumul}</div>
							
							<div class="col-xs-6">
								<table class="table table-bordered table-condensed">
									<tr>
										<td class="text-center">Quantité</td>
										
										<td class="text-center">Montant</td>
									</tr>
									
									<tr>
										<td class="text-center">{if isset($cumuls.Quantite)}{$cumuls.Quantite}{else}0{/if}</td>
										
										<td class="text-center">{if isset($cumuls.MontantLigneEuro)}{$cumuls.MontantLigneEuro|string_format:"%.2f"}{else}0.00{/if}</td>
									</tr>
								</table>
							</div>
						</div>
					</div>
				</div>
				
				<div class="col-sm-4 text-right col-xs-12">
					<a href="./" class="btn btn-default btn-xs btn-block">Quitter</a>
				</div>
			</div>
		</div>
	</div>
</div>

{include file='modals/periode.tpl'}

<script type="text/javascript">
	$(function() {
	$('#dtp_date_depart').datetimepicker({
		pickTime: false
	});
	});

	$(function() {
	$('#dtp_date_fin').datetimepicker({
		pickTime: false
	});
	});

</script>

{include file='_footer.tpl'}
